extern string SecondSymbol = "USDJPY";

void start()
{
  static int Digits2, PrevTime = 0;

  if (PrevTime == Time[0])
    return;

  PrevTime = Time[0];

  if (iTime(SecondSymbol, Period(), 0) < Time[0])
  {
    Digits2 = MarketInfo(SecondSymbol, MODE_DIGITS);

    Print("CurrentTime = " + TimeToStr(PrevTime) + ", SecondSymbol = " + SecondSymbol +
          ", OHLC = {" + DoubleToStr(iOpen(SecondSymbol, Period(), 0), Digits2) +
          ", " + DoubleToStr(iHigh(SecondSymbol, Period(), 0), Digits2) +
          ", " + DoubleToStr(iLow(SecondSymbol, Period(), 0), Digits2) +
          ", " + DoubleToStr(iClose(SecondSymbol, Period(), 0), Digits2) +"}");
  }

  return;
}